	#include <algorithm>
	#include <iostream>
	#include <cstdlib>
	#include <cstdarg>
	#include <cassert>
	#include <climits>
	#include <cstring>
	#include <complex>
	#include <cstdio>
	#include <vector>
	#include <string>
	#include <queue>
	#include <cmath>
	#include <ctime>
	#include <set>
	#include <map>
	#include <iomanip>
	#include <unordered_map>
	#include <bitset>
	#include<stack>
	#include <type_traits>
	#include <random>
	#include <chrono>
	//#define int long long
	using namespace std;
	long long a, b, c, d, e, f, g;
	vector<vector<int> > v(100001);
	vector<int> v2;
	bool us[100005];
	bool us2[100005];
	bool flag = 0;
	long long star=0, fin=0;
	long long cl = 30000000;
	
	void solve()
	{
		while (cin >> a)
		{

		}
		cout << 0;
	}
	/*
	6
	3 3 3 3 4 5
	*/
	signed main() {
		int q = 1;
		//cin >> q;
		while (q != 0)
		{
			solve();
			q--;
		}
	}
